Request
curl https://sandbox.api.lendeasy.ai/v1/servicing/portal-agreements/$AGREEMENT_REF \
-H "Authorization: Bearer $TOKEN" \
-H "LendEasy-Tenant: $TENANT"
await fetch(`https://sandbox.api.lendeasy.ai/v1/servicing/portal-agreements/${agreementRef}`, {
method: "GET",
headers: { Authorization: `Bearer ${token}`, "LendEasy-Tenant": tenant },
});
requests.get(
f"https://sandbox.api.lendeasy.ai/v1/servicing/portal-agreements/{agreement_ref}",
headers={"Authorization": f"Bearer {token}", "LendEasy-Tenant": tenant},
)
{
"agreementRef": "LE-OFR-9001",
"loanRef": "456",
"kind": "HARDSHIP_REPLACEMENT_AGREEMENT",
"title": "Payment pause agreement",
"status": "VIEWED",
"publishedAt": "2026-07-25T18: 40:00Z",
"expiresAt": "2026-08-04T18: 40:00Z",
"viewedAt": "2026-07-25T18: 45:00Z",
"respondedAt": null,
"documentDigest": "2cf24dba5fb0a30e26e83b2ac5b9e29e1b161e5c1fa7425e73043362938b9824",
"termsSummary": {
"deferredPaymentCount": 3,
"deferredTotal": "1,502.85",
"resumptionDate": "2026-11-01",
"currentMaturity": "2028-07-01",
"proposedMaturity": "2028-10-01",
"totalCostChange": "48.60",
"affectedDueDates": [
"2026-08-01",
"2026-09-01",
"2026-10-01"
]
}
}
{
"developerMessage": "Request was understood but rejected; inspect errors for field-level causes.",
"httpStatusCode": "400",
"defaultUserMessage": "The request could not be applied.",
"userMessageGlobalisationCode": "validation.msg.validation.errors.exist",
"errors": []
}
{
"developerMessage": "Request was understood but rejected; inspect errors for field-level causes.",
"httpStatusCode": "401",
"defaultUserMessage": "The request could not be applied.",
"userMessageGlobalisationCode": "error.msg.not.authenticated",
"errors": []
}
{
"developerMessage": "Request was understood but rejected; inspect errors for field-level causes.",
"httpStatusCode": "403",
"defaultUserMessage": "The request could not be applied.",
"userMessageGlobalisationCode": "error.msg.not.authorized",
"errors": []
}
{
"developerMessage": "Request was understood but rejected; inspect errors for field-level causes.",
"httpStatusCode": "404",
"defaultUserMessage": "The request could not be applied.",
"userMessageGlobalisationCode": "error.msg.resource.not.found",
"errors": []
}